Mint Solution Credential
POST
/v1/portal/credentials/{solution_id}/mint
const url = 'https://example.com/v1/portal/credentials/example/mint?tenant_id=&proposal_id=&scopes_csv=&ttl_seconds=0&repo_slug=&branch=&workspace_name=&resource_ref=&project_slug=&package_name=&package_version=&customer_slug=&action_mode=&browser_template_id=&target_base_url=&secret_lease_ref=&runtime_provider=&runtime_profile_id=&credential_artifact_ref=&model_prefix=&proxy_base_url=';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/portal/credentials/example/mint?tenant_id=&proposal_id=&scopes_csv=&ttl_seconds=0&repo_slug=&branch=&workspace_name=&resource_ref=&project_slug=&package_name=&package_version=&customer_slug=&action_mode=&browser_template_id=&target_base_url=&secret_lease_ref=&runtime_provider=&runtime_profile_id=&credential_artifact_ref=&model_prefix=&proxy_base_url=' \ --header 'Content-Type: application/json' \ --data '{}'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”solution_id
required
Solution Id
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
proposal_id
Proposal Id
string
scopes_csv
Scopes Csv
string
ttl_seconds
Ttl Seconds
integer
repo_slug
Repo Slug
string
branch
Branch
string
workspace_name
Workspace Name
string
resource_ref
Resource Ref
string
project_slug
Project Slug
string
package_name
Package Name
string
package_version
Package Version
string
customer_slug
Customer Slug
string
action_mode
Action Mode
string
browser_template_id
Browser Template Id
string
target_base_url
Target Base Url
string
secret_lease_ref
Secret Lease Ref
string
runtime_provider
Runtime Provider
string
runtime_profile_id
Runtime Profile Id
string
credential_artifact_ref
Credential Artifact Ref
string
model_prefix
Model Prefix
string
proxy_base_url
Proxy Base Url
string
Header Parameters
Section titled “Header Parameters”Request Body
Section titled “Request Body”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalCredentialMintOut
object
solution_id
Solution Id
string
credential_type
Credential Type
string
granted_scopes
Granted Scopes
Array<string>
issue_mode
Issue Mode
string
expires_at
Expires At
string
exchange_id
Exchange Id
string
lease_id
Lease Id
string
launch_url
Launch Url
string
fingerprint
Fingerprint
string
payload
Payload
object
key
additional properties
string
Example
{ "solution_id": "", "credential_type": "", "issue_mode": "", "expires_at": "", "exchange_id": "", "lease_id": "", "launch_url": "", "fingerprint": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}